/// <reference types="node" />
import { ChildProcessWithoutNullStreams } from "child_process";
declare class NeoDB {
    httpPort: number;
    boltPort: number;
    version: string;
    persistData: boolean;
    dbProcess: ChildProcessWithoutNullStreams | undefined;
    constructor(httpPort?: number, boltPort?: number, option?: {
        version?: string;
        persistData?: boolean;
    });
    private getServerFilesLocation;
    private getInstanceDataLocation;
    private getCustomConfFileLocation;
    private getServerBinFile;
    private setProperties;
    private cleanUp;
    start: () => Promise<unknown>;
    stop: () => Promise<unknown>;
    getBoltURL: () => string;
    getHttpURL: () => string;
}
export = NeoDB;
